Domains by HTML Terms

‌‌
This endpoint provides domains based on the HTML terms they use on their homepage. In addition to the list of domains, you will also get their technology profiles, the country and language they belong to, and other related data.

checked POST
Pricing

Your account will be charged for each request.
The cost can be calculated on the Pricing page.

All POST data should be sent in the JSON format (UTF-8 encoding). The task setting is done using the POST method. When setting a task, you should send all task parameters in the task array of the generic POST array. You can send up to 2000 API calls per minute, each Live API call can contain only one task.

You can specify the number of results you want to retrieve, filter and sort them.

Description of the fields for setting a task:

Field nameTypeDescription
search_termsarray

target search terms
required field
specify target HTML elements, tags, attributes, their content or all of the above
if you specify more than one search term, you will receive only the domains containing all of the specified terms in the HTML code of their homepage
maximum number of search terms you can specify: 10
example:
["data-attrid"]

keywordsarray

target keywords in the domain's title, description or meta keywords
optional field
UTF-8 encoding
maximum number of keywords you can specify: 10
example:
["seo","software"]

learn more about rules and limitations of keyword and keywords fields in DataForSEO APIs in this Help Center article

modestring

search mode
optional field
possible search mode types:
strict_entry - search for results exactly matching the order, intervals and separators in the specified search terms
entry - search for results ignoring the order, intervals and separators in the specified search terms
default value: entry

filtersarray

array of results filtering parameters
optional field
you can add several filters at once (8 filters maximum)
you should set a logical operator and, or between the conditions
the following operators are supported:
<, <=, >, >=, =, <>, in, not_in, like, not_like
you can use the % operator with like and not_like to match any string of zero or more characters
example:
["domain","like","%seo%"]

[["country_iso_code","=","US"],
"and",
["domain_rank",">",100]]

[["domain_rank",">",100],
"and",
[["country_iso_code","=","US"],"or",["country_iso_code","=","CA"]]]

for more information about filters, please refer to Domain Analytics Technologies API - Filters

order_byarray

results sorting rules
optional field
available fields:
domain_rank, domain, last_visited, country_iso_code, language_code, content_language_code
possible sorting types:
asc - results will be sorted in the ascending order
desc - results will be sorted in the descending order
you should use a comma to set up a sorting type
example:
["last_visited,desc"]
default rule:
["domain_rank,desc"]
note that you can set no more than three sorting rules in a single request
you should use a comma to separate several sorting rules
example:
["last_visited,desc","domain_rank,desc"]

limitinteger

the maximum number of returned domains
optional field
default value: 100
maximum value: 10000

offsetinteger

offset in the results array of returned domains
optional field
default value: 0
if you specify the 10 value, the first ten domains in the results array will be omitted and the data will be provided for the successive domains;
Note: the maximum value is 9999, the sum of limit and offset must not exceed 10000;
use the offset_token if you would like to offset more results

offset_tokenstring

token for subsequent requests
optional field
provided in the identical filed of the response to each request;
use this parameter to avoid timeouts while trying to obtain over 100,000 results in a single request;
by specifying the unique offset_token value from the response array, you will get the subsequent results of the initial task;
offset_token values are unique for each subsequent task
Note: if the offset_token is specified in the request, all other parameters should be identical to the previous request
learn more about this parameter on our Help Center


As a response of the API server, you will receive JSON-encoded data containing a tasks array with the information specific to the set tasks.

Description of the fields in the results array:

Field nameTypeDescription
versionstring

the current version of the API

status_codeinteger

general status code
you can find the full list of the response codes here
Note: we strongly recommend designing a necessary system for handling related exceptional or error conditions

status_messagestring

general informational message
you can find the full list of general informational messages here

timestring

execution time, seconds

costfloat

total tasks cost, USD

tasks_countinteger

the number of tasks in the tasks array

tasks_errorinteger

the number of tasks in the tasks array returned with an error

tasksarray

array of tasks

    idstring

task identifier
unique task identifier in our system in the UUID format

    status_codeinteger

status code of the task
generated by DataForSEO; can be within the following range: 10000-60000
you can find the full list of the response codes here

    status_messagestring

informational message of the task
you can find the full list of general informational messages here

    timestring

execution time, seconds

    costfloat

cost of the task, USD

    result_countinteger

number of elements in the result array

    patharray

URL path

    dataobject

contains the same parameters that you specified in the POST request

    resultarray

array of results

        total_countinteger

total number of relevant items in the database

        items_countinteger

number of items in the results array

        offsetinteger

specified offset value

        offset_tokenstring

token for subsequent requests
by specifying the unique offset_token when setting a new task, you will get the subsequent results of the initial task;
offset_token values are unique for each subsequent task

        itemsarray

items array

            typestring

type of the item = 'domain_technology_item'

            domainstring

specified domain name

            titlestring

domain meta title

            descriptionstring

domain meta description

            meta_keywordsarray

domain meta keywords

            domain_rankstring

backlink rank of the target domain
learn more about the metric and how it is calculated in this help center article

            last_visitedstring

most recent date when our crawler visited the domain
in the UTC format: “yyyy-mm-dd hh-mm-ss +00:00”
example:
2022-10-10 12:57:46 +00:00

            country_iso_codestring

domain ISO code
ISO code of the country that target domain is determined to belong to

            language_codestring

domain language
code of the language that target domain is determined to be associated with

            content_language_codestring

content language
code of the language that content on the target domain is written with

            phone_numbersarray

phone numbers of the target
contact phone numbers indicated on the target website

            emailsarray

emails of the target
emails indicated on the target website

            social_graph_urlsarray

social media links and handles
social media URLs detected in the social graphs of the target website

            technologiesobject

technologies used by target domain
contains objects with the names of technologies used on the website;
to get a full list of technologies and their structure, refer to the technologies endpoint


‌‌

Instead of ‘login’ and ‘password’ use your credentials from https://app.dataforseo.com/api-access

# Instead of 'login' and 'password' use your credentials from https://app.dataforseo.com/api-access 
login="login" 
password="password" 
cred="$(printf ${login}:${password} | base64)" 
curl --location --request POST "https://api.dataforseo.com/v3/domain_analytics/technologies/domains_by_html_terms/live" 
--header "Authorization: Basic ${cred}"  
--header "Content-Type: application/json" 
--data-raw '[
    {
        "search_terms": [
            "data-attrid"
        ],
        "order_by": [
            "last_visited,desc"
        ],
        "limit": 10,
        "offset": 0
    }
]'
<?php
// You can download this file from here https://cdn.dataforseo.com/v3/examples/php/php_RestClient.zip
require('RestClient.php');
$api_url = 'https://api.dataforseo.com/';
// Instead of 'login' and 'password' use your credentials from https://app.dataforseo.com/api-access
$client = new RestClient($api_url, null, 'login', 'password');

$post_array = array();
// You can set only one task at a time
$post_array[] = array(
	"search_terms" => [
		"data-attrid"
	],
	"order_by" => ["last_visited,desc"],
	"limit" => 10,
	"offset" => 0
);
try {
	// POST /v3/domain_analytics/technologies/domains_by_html_terms/live
	$result = $client->post('/v3/domain_analytics/technologies/domains_by_html_terms/live', $post_array);
	print_r($result);
	// do something with post result
} catch (RestClientException $e) {
	echo "n";
	print "HTTP code: {$e->getHttpCode()}n";
	print "Error code: {$e->getCode()}n";
	print "Message: {$e->getMessage()}n";
	print  $e->getTraceAsString();
	echo "n";
}
$client = null;
?>
const post_array = [];
post_array.push({
	"search_terms": ["data-attrid"],
	"order_by": ["last_visited,desc"],
	"limit": 10,
	"offset": 0
});
const axios = require('axios');
axios({
	method: 'post',
	url: 'https://api.dataforseo.com/v3/domain_analytics/technologies/domains_by_html_terms/live',
	auth: {
		username: 'login',
		password: 'password'
	},
	data: post_array,
	headers: {
		'content-type': 'application/json'
	}
}).then(function(response) {
	var result = response['data']['tasks'];
	// Result data
	console.log(result);
}).catch(function(error) {
	console.log(error);
});
from client import RestClient
# You can download this file from here https://cdn.dataforseo.com/v3/examples/python/python_Client.zip
client = RestClient("login", "password")
post_data = dict()
# You can set only one task at a time
post_data[len(post_data)] = dict(
    search_terms = [
            "data-attrid"
    ],
    order_by = ["last_visited,desc"],
    limit = 10,
    offset = 10
)
# POST /v3/domain_analytics/technologies/domains_by_html_terms/live
response = client.post("/v3/domain_analytics/technologies/domains_by_html_terms/live", post_data)
# you can find the full list of the response codes here https://docs.dataforseo.com/v3/appendix/errors
if response["status_code"] == 20000:
    print(response)
    # do something with result
else:
    print("error. Code: %d Message: %s" % (response["status_code"], response["status_message"]))
using Newtonsoft.Json;
using System;
using System.Collections.Generic;
using System.Net.Http;
using System.Net.Http.Headers;
using System.Text;
using System.Threading.Tasks;

namespace DataForSeoDemos
{
    public static partial class Demos
    {
        public static async Task domain_analytics_technologies_domains_by_html_terms_live()
        {
            var httpClient = new HttpClient
            {
                BaseAddress = new Uri("https://api.dataforseo.com/"),
                // Instead of 'login' and 'password' use your credentials from https://app.dataforseo.com/api-access
                DefaultRequestHeaders = { Authorization = new AuthenticationHeaderValue("Basic", Convert.ToBase64String(Encoding.ASCII.GetBytes("login:password"))) }
            };
            var postData = new List<object>();
            // You can set only one task at a time
            postData.Add(new
            {
                search_terms = new[]{ "data-attrid" },
                order_by = new object[] { "last_visited,desc" },
                limit = 10,
                offset = 0
            });
            // POST /v3/domain_analytics/technologies/domains_by_html_terms/live
            var taskPostResponse = await httpClient.PostAsync("/v3/domain_analytics/technologies/domains_by_html_terms/live", new StringContent(JsonConvert.SerializeObject(postData)));
            var result = JsonConvert.DeserializeObject<dynamic>(await taskPostResponse.Content.ReadAsStringAsync());
            // you can find the full list of the response codes here https://docs.dataforseo.com/v3/appendix/errors
            if (result.status_code == 20000)
            {
                // do something with result
                Console.WriteLine(result);
            }
            else
                Console.WriteLine($"error. Code: {result.status_code} Message: {result.status_message}");
        }
    }
}

The above command returns JSON structured like this:

{
    "version": "0.1.20221214",
    "status_code": 20000,
    "status_message": "Ok.",
    "time": "2.7783 sec.",
    "cost": 0.01,
    "tasks_count": 1,
    "tasks_error": 0,
    "tasks": [
        {
            "id": "01121321-1535-0511-0000-15bd581edd6c",
            "status_code": 20000,
            "status_message": "Ok.",
            "time": "2.4225 sec.",
            "cost": 0.02,
            "result_count": 1,
            "path": [
                "v3",
                "domain_analytics",
                "technologies",
                "domains_by_html_terms",
                "live"
            ],
            "data": {
                "api": "domain_analytics",
                "function": "domains_by_html_terms",
                "se": "technologies",
                "search_terms": [
                    "data-attrid"
                ],
                "order_by": [
                    "last_visited,desc"
                ],
                "limit": 10,
                "offset": 0
            },
            "result": [
                {
                    "total_count": 5532,
                    "items_count": 10,
                    "offset": 0,
                    "offset_token": "eyJDdXJyZW50T2Zmc2V0IjoxMCwiUmF3UmVxdWVzdCI6eyJzZWFyY2hfdGVybXMiOlsiZGF0YS1hdHRyaWQiXSwibW9kZSI6ImVudHJ5Iiwib3JkZXJfYnkiOnsib3JkZXJfZmllbGQiOiJsYXN0X3Zpc2l0ZWQiLCJvcmRlcl90eXBlIjoiZGVzYyJ9LCJsaW1pdCI6MTAsIm9mZnNldCI6MH0sIlNlYXJjaEFmdGVyRGF0YSI6eyJWZXJzaW9uIjoxLCJTZWFyY2hBZnRlclZhbHVlcyI6eyJmZXRjaF90aW1lIjoxNjcyMjg5MDQ0MDAwLCJfc2NvcmUiOjYuMzUwNDAzMywiZG9tYWluX2hhc2giOi03LjEwMDg3MzFFKzE4fSwiVG9rZW5SZWFsT2Zmc2V0IjowfX0=",
                    "items": [
                        {
                            "type": "domain_technology_item",
                            "domain": "rewhite.net",
                            "title": "บริษัท รีไวท์ บิวตี้ จำกัด",
                            "description": null,
                            "meta_keywords": null,
                            "domain_rank": 51,
                            "last_visited": "2022-12-29 03:15:57 +00:00",
                            "country_iso_code": null,
                            "language_code": "en",
                            "content_language_code": "th",
                            "phone_numbers": null,
                            "emails": null,
                            "social_graph_urls": null,
                            "technologies": {
                                "servers": {
                                    "cdn": [
                                        "Amazon Cloudfront"
                                    ],
                                    "web_servers": [
                                        "Apache HTTP Server"
                                    ],
                                    "paas": [
                                        "Amazon Web Services"
                                    ]
                                },
                                "web_development": {
                                    "ui_frameworks": [
                                        "Bootstrap"
                                    ],
                                    "javascript_libraries": [
                                        "jQuery",
                                        "Twitter typeahead.js"
                                    ],
                                    "web_frameworks": [
                                        "Yii"
                                    ],
                                    "programming_languages": [
                                        "PHP"
                                    ]
                                },
                                "analytics": {
                                    "tag_managers": [
                                        "Google Tag Manager"
                                    ]
                                }
                            }
                        },
                        {
                            "type": "domain_technology_item",
                            "domain": "santos.rs",
                            "title": "Santos & Santorini",
                            "description": "",
                            "meta_keywords": null,
                            "domain_rank": 199,
                            "last_visited": "2022-12-29 03:13:49 +00:00",
                            "country_iso_code": "RS",
                            "language_code": "en",
                            "content_language_code": "bs",
                            "phone_numbers": null,
                            "emails": null,
                            "social_graph_urls": null,
                            "technologies": {
                                "servers": {
                                    "web_servers": [
                                        "Apache HTTP Server"
                                    ]
                                },
                                "web_development": {
                                    "ui_frameworks": [
                                        "Bootstrap"
                                    ],
                                    "javascript_libraries": [
                                        "DataTables",
                                        "FancyBox",
                                        "jQuery",
                                        "OWL Carousel",
                                        "Select2"
                                    ],
                                    "font_scripts": [
                                        "Font Awesome"
                                    ],
                                    "javascript_frameworks": [
                                        "GSAP"
                                    ],
                                    "programming_languages": [
                                        "PHP"
                                    ]
                                },
                                "analytics": {
                                    "analytics": [
                                        "Google Analytics"
                                    ]
                                },
                                "media": {
                                    "video_players": [
                                        "YouTube"
                                    ]
                                }
                            }
                        },
                        {
                            "type": "domain_technology_item",
                            "domain": "t-bolleke.be",
                            "title": "T BOLLEKE BV",
                            "description": null,
                            "meta_keywords": null,
                            "domain_rank": null,
                            "last_visited": "2022-12-29 03:05:16 +00:00",
                            "country_iso_code": null,
                            "language_code": "nl",
                            "content_language_code": "nl",
                            "phone_numbers": null,
                            "emails": null,
                            "social_graph_urls": null,
                            "technologies": {
                                "servers": {
                                    "web_servers": [
                                        "Apache HTTP Server"
                                    ],
                                    "web_server_extensions": [
                                        "OpenSSL"
                                    ],
                                    "operating_systems": [
                                        "UNIX"
                                    ]
                                },
                                "web_development": {
                                    "javascript_libraries": [
                                        "FancyBox",
                                        "jQuery",
                                        "jQuery UI",
                                        "Modernizr"
                                    ],
                                    "programming_languages": [
                                        "PHP"
                                    ]
                                }
                            }
                        },
                        {
                            "type": "domain_technology_item",
                            "domain": "bertuccistore.it",
                            "title": "Bertucci Store",
                            "description": null,
                            "meta_keywords": null,
                            "domain_rank": 6,
                            "last_visited": "2022-12-29 03:02:33 +00:00",
                            "country_iso_code": "WW",
                            "language_code": "it",
                            "content_language_code": "it",
                            "phone_numbers": null,
                            "emails": null,
                            "social_graph_urls": null,
                            "technologies": {
                                "web_development": {
                                    "ui_frameworks": [
                                        "Bootstrap"
                                    ],
                                    "font_scripts": [
                                        "Font Awesome"
                                    ],
                                    "javascript_frameworks": [
                                        "Handlebars"
                                    ],
                                    "javascript_libraries": [
                                        "jQuery",
                                        "jQuery Migrate",
                                        "Slick",
                                        "Twitter typeahead.js",
                                        "Underscore.js"
                                    ],
                                    "programming_languages": [
                                        "PHP"
                                    ]
                                },
                                "add_ons": {
                                    "wordpress_plugins": [
                                        "Contact Form 7",
                                        "Extendify",
                                        "WooCommerce"
                                    ]
                                },
                                "analytics": {
                                    "analytics": [
                                        "Google Analytics"
                                    ]
                                },
                                "location": {
                                    "maps": [
                                        "Google Maps"
                                    ]
                                },
                                "servers": {
                                    "web_servers": [
                                        "Nginx"
                                    ],
                                    "reverse_proxies": [
                                        "Nginx"
                                    ],
                                    "databases": [
                                        "MySQL"
                                    ]
                                },
                                "other": {
                                    "widgets": [
                                        "Slider Revolution"
                                    ]
                                },
                                "content": {
                                    "photo_galleries": [
                                        "Slider Revolution"
                                    ],
                                    "cms": [
                                        "WordPress"
                                    ],
                                    "blogs": [
                                        "WordPress"
                                    ]
                                },
                                "media": {
                                    "photo_galleries": [
                                        "Slider Revolution"
                                    ]
                                },
                                "sales": {
                                    "ecommerce": [
                                        "WooCommerce"
                                    ]
                                }
                            }
                        },
                        {
                            "type": "domain_technology_item",
                            "domain": "albh.fr",
                            "title": "accueil - albh",
                            "description": null,
                            "meta_keywords": null,
                            "domain_rank": null,
                            "last_visited": "2022-12-29 02:59:49 +00:00",
                            "country_iso_code": "FR",
                            "language_code": "fr",
                            "content_language_code": "fr",
                            "phone_numbers": null,
                            "emails": null,
                            "social_graph_urls": null,
                            "technologies": {
                                "web_development": {
                                    "ui_frameworks": [
                                        "Bootstrap"
                                    ],
                                    "javascript_libraries": [
                                        "DataTables",
                                        "jQuery",
                                        "jQuery Migrate",
                                        "Lightbox",
                                        "Modernizr",
                                        "OWL Carousel",
                                        "prettyPhoto",
                                        "Swiper"
                                    ],
                                    "page_builders": [
                                        "Elementor"
                                    ],
                                    "font_scripts": [
                                        "Font Awesome"
                                    ],
                                    "programming_languages": [
                                        "PHP"
                                    ]
                                },
                                "add_ons": {
                                    "wordpress_plugins": [
                                        "Contact Form 7",
                                        "Elementor",
                                        "Polylang",
                                        "Yoast SEO"
                                    ]
                                },
                                "servers": {
                                    "web_servers": [
                                        "Nginx"
                                    ],
                                    "reverse_proxies": [
                                        "Nginx"
                                    ],
                                    "databases": [
                                        "MySQL"
                                    ]
                                },
                                "content": {
                                    "translation": [
                                        "Polylang"
                                    ],
                                    "cms": [
                                        "WordPress"
                                    ],
                                    "blogs": [
                                        "WordPress"
                                    ]
                                },
                                "marketing": {
                                    "seo": [
                                        "Yoast SEO"
                                    ]
                                }
                            }
                        },
                        {
                            "type": "domain_technology_item",
                            "domain": "intech.lviv.ua",
                            "title": "…про web і не тільки",
                            "description": null,
                            "meta_keywords": null,
                            "domain_rank": 346,
                            "last_visited": "2022-12-29 02:59:00 +00:00",
                            "country_iso_code": "UA",
                            "language_code": "uk",
                            "content_language_code": "uk",
                            "phone_numbers": null,
                            "emails": null,
                            "social_graph_urls": null,
                            "technologies": {
                                "add_ons": {
                                    "wordpress_plugins": [
                                        "Contact Form 7",
                                        "MailChimp for WooCommerce",
                                        "WooCommerce"
                                    ]
                                },
                                "marketing": {
                                    "advertising": [
                                        "Google AdSense"
                                    ],
                                    "marketing_automation": [
                                        "MailChimp"
                                    ],
                                    "email": [
                                        "MailChimp"
                                    ]
                                },
                                "web_development": {
                                    "javascript_libraries": [
                                        "jQuery",
                                        "jQuery Migrate"
                                    ],
                                    "programming_languages": [
                                        "PHP"
                                    ]
                                },
                                "servers": {
                                    "web_servers": [
                                        "Nginx"
                                    ],
                                    "reverse_proxies": [
                                        "Nginx"
                                    ],
                                    "databases": [
                                        "MySQL"
                                    ]
                                },
                                "sales": {
                                    "ecommerce": [
                                        "WooCommerce"
                                    ]
                                },
                                "content": {
                                    "cms": [
                                        "WordPress"
                                    ],
                                    "blogs": [
                                        "WordPress"
                                    ]
                                },
                                "communication": {
                                    "email": [
                                        "MailChimp"
                                    ]
                                }
                            }
                        },
                        {
                            "type": "domain_technology_item",
                            "domain": "smilecaremexico.com",
                            "title": "SmileCare – Lomas de Angelópolis",
                            "description": null,
                            "meta_keywords": null,
                            "domain_rank": 44,
                            "last_visited": "2022-12-29 02:54:30 +00:00",
                            "country_iso_code": null,
                            "language_code": "es",
                            "content_language_code": "gl",
                            "phone_numbers": null,
                            "emails": null,
                            "social_graph_urls": null,
                            "technologies": {
                                "servers": {
                                    "web_servers": [
                                        "Apache HTTP Server"
                                    ],
                                    "databases": [
                                        "MySQL"
                                    ]
                                },
                                "add_ons": {
                                    "wordpress_plugins": [
                                        "Contact Form 7",
                                        "Elementor",
                                        "WPForms"
                                    ],
                                    "wordpress_themes": [
                                        "Neve"
                                    ]
                                },
                                "web_development": {
                                    "page_builders": [
                                        "Elementor"
                                    ],
                                    "javascript_libraries": [
                                        "jQuery",
                                        "jQuery Migrate",
                                        "Underscore.js"
                                    ],
                                    "programming_languages": [
                                        "PHP"
                                    ]
                                },
                                "content": {
                                    "cms": [
                                        "WordPress"
                                    ],
                                    "blogs": [
                                        "WordPress"
                                    ]
                                }
                            }
                        },
                        {
                            "type": "domain_technology_item",
                            "domain": "joint-restore-gummies.us",
                            "title": "Joint Restore Gummies™ - Official Website",
                            "description": "Joint Restore Gummies Supplement is an organic way of promoting stronger and flexible joints in a natural way. Order Joint Restore Gummies Supplement™ Today. 100% Proven and Trusted. Exclusive Offer Today Only.",
                            "meta_keywords": [
                                "Joint Restore Gummies Supplement",
                                "Joint Restore Gummies Supplement price",
                                "buy Joint Restore Gummies Supplement"
                            ],
                            "domain_rank": 193,
                            "last_visited": "2022-12-29 02:45:55 +00:00",
                            "country_iso_code": null,
                            "language_code": "en",
                            "content_language_code": "en",
                            "phone_numbers": null,
                            "emails": null,
                            "social_graph_urls": null,
                            "technologies": {
                                "servers": {
                                    "web_servers": [
                                        "Apache HTTP Server"
                                    ]
                                },
                                "web_development": {
                                    "font_scripts": [
                                        "Font Awesome"
                                    ],
                                    "javascript_frameworks": [
                                        "React"
                                    ]
                                },
                                "analytics": {
                                    "analytics": [
                                        "Statcounter"
                                    ]
                                }
                            }
                        },
                        {
                            "type": "domain_technology_item",
                            "domain": "kala-lounge.at",
                            "title": "KALA Lounge – Dornbirn – Willkommen bei KALA",
                            "description": null,
                            "meta_keywords": null,
                            "domain_rank": 3,
                            "last_visited": "2022-12-29 02:44:04 +00:00",
                            "country_iso_code": "AT",
                            "language_code": "de",
                            "content_language_code": "de",
                            "phone_numbers": null,
                            "emails": null,
                            "social_graph_urls": null,
                            "technologies": {
                                "servers": {
                                    "web_servers": [
                                        "Apache HTTP Server"
                                    ],
                                    "databases": [
                                        "MySQL"
                                    ]
                                },
                                "add_ons": {
                                    "wordpress_plugins": [
                                        "Contact Form 7"
                                    ]
                                },
                                "web_development": {
                                    "font_scripts": [
                                        "Font Awesome"
                                    ],
                                    "javascript_libraries": [
                                        "jQuery",
                                        "jQuery Migrate",
                                        "Modernizr"
                                    ],
                                    "programming_languages": [
                                        "PHP"
                                    ]
                                },
                                "location": {
                                    "maps": [
                                        "Leaflet"
                                    ]
                                },
                                "other": {
                                    "widgets": [
                                        "Slider Revolution"
                                    ]
                                },
                                "content": {
                                    "photo_galleries": [
                                        "Slider Revolution"
                                    ],
                                    "cms": [
                                        "WordPress"
                                    ],
                                    "blogs": [
                                        "WordPress"
                                    ]
                                },
                                "media": {
                                    "photo_galleries": [
                                        "Slider Revolution"
                                    ],
                                    "video_players": [
                                        "YouTube"
                                    ]
                                }
                            }
                        }
                    ]
                }
            ]
        }
    ]
}